
;MACROS
macro Addbytetoreg x,register
;add value to reg through a
	ld a,{register}
	add {x}
	ld {register},a
	mend

macro Adcbytetoreg x,register
;add carry+value to reg through a
	ld a,{register}
	adc {x}
	ld {register},a
	mend

macro LdHLfromHL
;l=(hl),h=(hl+1)
	ld a,(hl)
	inc hl
	ld h,(hl)
	ld l,a
	mend

macro Draw_transp_byte reg
;draw the bitmask in reg 0-transparent to scraddr in de
;h has to contain ANDMASK_TABLE_HI already
	ld l,{reg}
	ld a,(de)
	and (hl)
	or l
	ld (de),a
mend

macro Draw_opaque_byte reg
;draw the bitmask in reg non-transparent to scraddr in de
	ld a,{reg}
	ld (de),a
	mend

macro Calc_char_linebreak hi,lo
;add #C040 to a register pair via a
	ld a,{lo}
	add #40
	ld {lo},a
	ld a,{hi}
	adc #c0
	ld {hi},a
	mend

macro Calc_Ax8
;a=a*8
	add a
	add a
	add a
	mend
